pydo.autoscalepools.get()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.autoscalepools.get(
    autoscale_pool_id="0d3db13e-a604-4944-9827-7ec2642d32ac",
)
Returns JSONRaises HttpResponseError

Description

To show information about an individual autoscale pool, send a GET request to /v2/droplets/autoscale/{autoscale_pool_id}.

Parameters

autoscale_pool_id string required

A unique identifier for an autoscale pool.

Response Example

Show Response Example
{
  "autoscale_pool": {
    "id": "0d3db13e-a604-4944-9827-7ec2642d32ac",
    "name": "test-autoscaler-group-01",
    "config": {
      "min_instances": 1,
      "max_instances": 5,
      "target_cpu_utilization": 0.5,
      "cooldown_minutes": 10
    },
    "droplet_template": {
      "name": "droplet-name",
      "size": "c-2",
      "region": "tor1",
      "image": "ubuntu-20-04-x64",
      "tags": [
        "my-tag"
      ],
      "ssh_keys": [
        "3b:16:e4:bf:8b:00:8b:b8:59:8c:a9:d3:f0:19:fa:45"
      ],
      "vpc_uuid": "760e09ef-dc84-11e8-981e-3cfdfeaae000",
      "with_droplet_agent": true,
      "project_id": "746c6152-2fa2-11ed-92d3-27aaa54e4988",
      "public_networking": true,
      "ipv6": true,
      "user_data": "#cloud-config\nruncmd:\n  - touch /test.txt\n"
    },
    "created_at": "2020-11-19T20:27:18Z",
    "updated_at": "2020-12-01T00:42:16Z",
    "current_utilization": {
      "memory": 0.3588531587713522,
      "cpu": 0.0007338008770232183
    },
    "status": "active",
    "active_resources_count": 1
  }
}

More Information

See /v2/droplets/autoscale/{autoscale_pool_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.